# Accounting API — Aged Creditors

> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Aged-Creditors

This document contains every operation on the `Aged Creditors` resource.

---

# Get Aged Creditors

> **Accounting API** · `GET /accounting/aged-creditors`
> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Aged-Creditors/operation/agedCreditorsOne

Get Aged Creditors

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-company-id` | header | `string` | No | The ID of the company to scope requests to. For connectors that support multi-company, this overrides the default company configured in connection settings. |
| `filter` | query | `object` | No | Apply filters |
| `pass_through` | query | `object` | No | Optional unmapped key/values that will be passed through to downstream as query parameters. Ie: ?pass_through[search]=leads becomes ?search=leads |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — Aged Creditors

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `quickbooks`
- `resource` `string` **required** — Unified API resource name — example: `AgedCreditors`
- `operation` `string` **required** — Operation performed — example: `one`
- `data` `object` **required**
  - `report_generated_at` `string` — The exact date and time the report was generated. — format: `date-time` — example: `2024-11-14T12:00:00.000Z`
  - `report_as_of_date` `string` — The cutoff date for transactions included in the report. — format: `date` — example: `2024-11-13`
  - `period_count` `integer` — Number of aging periods shown in the report. — example: `4`
  - `period_length` `integer` — Length of each aging period in days. — example: `30`
  - `outstanding_balances` `array of object`
    - `supplier_id` `string` — Unique identifier for the supplier. — example: `123`
    - `supplier_name` `string` — Full name of the supplier. — example: `Super Store`
    - `outstanding_balances_by_currency` `array of object`
      - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
      - `total_amount` `number` — Total amount of the outstanding balance.
      - `balances_by_period` `array of object`
        - `start_date` `string` — The starting date of the period. If not provided, it represents the oldest period, where all transactions due before the specified `end_date` are included. — format: `date` — example: `2024-01-01`
        - `end_date` `string` — The ending date of the period. If not provided, it represents an open-ended period starting from the `start_date`, typically capturing future-dated transactions that are not yet aged. — format: `date` — example: `2024-01-30`
        - `total_amount` `number` — Total amount of the period. — example: `1500`
        - `balances_by_transaction` `array of object`
          - `transaction_id` `string` — Unique identifier for the transaction. — example: `INV-1001`
          - `transaction_date` `string` — Date of the transaction. — format: `date` — example: `2024-01-15`
          - `transaction_type` `string` — Type of the transaction. — enum: `invoice`, `credit_note`, `bill`, `payment`, `bill_payment` — example: `invoice`
          - `due_date` `string` — Due date of the transaction. — format: `date` — example: `2024-02-15`
          - `original_amount` `number` — Original amount of the transaction. — example: `1000`
          - `outstanding_balance` `number` — Outstanding balance of the transaction. — example: `800`
          - `transaction_number` `string` — Transaction number of the transaction. — example: `INV-1001`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
